@ECHO OFF

rem --------------------------------------------------------
rem --- Spellcross LZ music decoder by Stanislav Maslan. ---
rem --- This script decodes all *.lz files in folder.    ---
rem --- usage: spell_midlz_all.bat [music_folder_path]   ---
rem --------------------------------------------------------
 

SET errn=0 
IF EXIST spell_midlz.bat IF EXIST spell_delz.exe GOTO PROK
:ERR2
@ECHO Spellcross LZ music decoder by Stanislav Maslan.
@ECHO This script decodes all *.lz files in folder.
@ECHO usage: spell_midlz_all.bat [music_folder_path]
@ECHO.
IF NOT EXIST spell_midlz.bat @ECHO Error - missing "spell_midlz.bat" script!
IF NOT EXIST spell_delz.exe @ECHO Error - missing "spell_delz.exe" script!
IF %errn%==1 @ECHO Error - no *.LZ file found in folder!
GOTO ERR
:PROK


SET filter=*.lz
SET lzpath=%%f
IF (%1)==() GOTO NOPATH
SET filter=%1\*.lz
SET lzpath=%1\%%f
:NOPATH


IF NOT EXIST %filter% SET errn=1 & GOTO ERR2


FOR /f %%f IN ('dir %filter% /b') DO spell_midlz.bat %lzpath%


:ERR
